Package wx :: Class NavigationKeyEvent

[frames | no frames]

## Type NavigationKeyEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    NavigationKeyEvent

EVT_NAVIGATION_KEY events are used to control moving the focus between widgets, otherwise known as tab-traversal. You woudl normally not catch navigation events in applications as there are already appropriate handlers in `wx.Dialog` and `wx.Panel`, but you may find it useful to send navigation events in certain situations to change the focus in certain ways, although it's probably easier to just call `wx.Window.Navigate`.

Method Summary
NavigationKeyEvent | `__init__(self)`
Window | ``GetCurrentFocus`(self)` Returns the child window which currenty has the focus.
bool | ``GetDirection`(self)` Returns `True` if the direction is forward, `False` otherwise.
bool | ``IsFromTab`(self)` Returns `True` if the navigation event is originated from the Tab key.
bool | ``IsWindowChange`(self)` Returns `True` if window change is allowed.
| ``SetCurrentFocus`(self, win)` Set the window that has the focus.
| ``SetDirection`(self, forward)` Specify the direction that the navigation should take.
| ``SetFlags`(self, flags)` Set the navigation flags to a combination of the following:
| ``SetFromTab`(self, bIs)` Set to true under MSW if the event was generated using the tab key.
| ``SetWindowChange`(self, ischange)` Specify if the navigation should be able to change parent windows.

Property Summary
| `CurrentFocus`: See `GetCurrentFocus` and `SetCurrentFocus`
| `Direction`: See `GetDirection` and `SetDirection`
| `thisown`: The membership flag

Class Variable Summary
`int` | `FromTab` = 4
`int` | `IsBackward` = 0
`int` | `IsForward` = 1
`int` | `WinChange` = 2

Method Details

### GetCurrentFocus(self)

Returns the child window which currenty has the focus. May be `None`.

  Returns:
    Window

### GetDirection(self)

Returns `True` if the direction is forward, `False` otherwise.

  Returns:
    bool

### IsFromTab(self)

Returns `True` if the navigation event is originated from the Tab key.

  Returns:
    bool

### IsWindowChange(self)

Returns `True` if window change is allowed.

  Returns:
    bool

### SetCurrentFocus(self, win)

Set the window that has the focus.

  Parameters:
    `win`
    (type=Window)

### SetDirection(self, forward)

Specify the direction that the navigation should take. Usually the difference between using Tab and Shift-Tab.

  Parameters:
    `forward`
    (type=bool)

### SetFlags(self, flags)

Set the navigation flags to a combination of the following:

> - wx.NavigationKeyEvent.IsBackward
> - wx.NavigationKeyEvent.IsForward
> - wx.NavigationKeyEvent.WinChange
> - wx.NavigationKeyEvent.FromTab

  Parameters:
    `flags`
    (type=long)

### SetFromTab(self, bIs)

Set to true under MSW if the event was generated using the tab key. This is required for proper navogation over radio buttons.

  Parameters:
    `bIs`
    (type=bool)

### SetWindowChange(self, ischange)

Specify if the navigation should be able to change parent windows. For example, changing notebook pages, etc. This is usually implemented by using Control-Tab.

  Parameters:
    `ischange`
    (type=bool)

Property Details

### CurrentFocus

See `GetCurrentFocus` and `SetCurrentFocus`

  Get Method:
    `GetCurrentFocus`(self)
  Set Method:
    `SetCurrentFocus`(self, win)

### Direction

See `GetDirection` and `SetDirection`

  Get Method:
    `GetDirection`(self)
  Set Method:
    `SetDirection`(self, forward)

### thisown

The membership flag

Class Variable Details

### FromTab

  Type:
    `int`
  Value:

        4

### IsBackward

  Type:
    `int`
  Value:

        0

### IsForward

  Type:
    `int`
  Value:

        1

### WinChange

  Type:
    `int`
  Value:

        2

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:55 2007 | http://epydoc.sf.net